class OrientDb::Associations::SubtopicsAssociation < OrientDb::Association

  def can_create?
    !@object.subtopics.empty?
  end

  protected

  def execute
    create_edges_from_array("Subtopic", @object.id, @object.subtopics, true, false)
  end

end

