ENV['RAILS_ENV'] ||= 'test'
require File.expand_path('../../config/environment', __FILE__)
require 'rails/test_help'
require 'shoulda-callback-matchers'
require 'minitest/mock'
require 'repository/not_persisted_record_error'

class ActiveSupport::TestCase
  # Setup all fixtures in test/fixtures/*.yml for all tests in alphabetical order.
  fixtures :all

  # Add more helper methods to be used by all tests here...

  def assert_count(expected, actual = 0)
    assert_equal expected.to_i, actual.count
  end

  def mock
    MiniTest::Mock.new
  end

end
