class OrientDb::Migrations::CreateSubject < OrientDb::Migration

  def up
    create_class 'Subject', 'Object' do |c|
        c.link 'highlights',  :linkset, 'LearningObject'
    end
    add_index 'Subject', ['name'], "UNIQUE_HASH_INDEX"
  end

  def down
    drop_class 'Subject'
  end
end